/*
 * boot_sign.c
 * 
 * ブートセクターにブートサインを書き込む
 */


#include<unistd.h>
#include<stdio.h>
#include<fcntl.h>
#include<sys/stat.h>


int main(int argc,char *argv[])
{
	static short sign=0xaa55;		/* ブートサイン */
	int fd;


	if((fd=open(argv[1],O_RDWR))==-1)
	{
		printf("Fail open %s\n",argv[1]);
		return 0;
	}
	lseek(fd,510,SEEK_SET);
	write(fd,&sign,2);

	return 0;
}
